## apache-ofbiz-12.04.04-006J.zip

=== framework/images/webapp/images/jquery/plugins/flot/Makefile ===
# Makefile for generating minified files

.PHONY: all

# we cheat and process all .js files instead of an exhaustive list
all: $(patsubst %.js,%.min.js,$(filter-out %.min.js,$(wildcard *.js)))

%.min.js: %.js
	yui-compressor $< -o $@

=== debian/changelog ===
ofbiz (UNRELEASED) unstable; urgency=low

  * Increase start timeout from 40 seconds to 120.
  * Let ucf use debconf.
  * When stopping, don't print anything from ofbiz.jar.
  * Chown debconf.cfg after the ofbiz group is created.
  * Don't have per-package var folders.
  * Fix bashism in /etc/init.d/ofbiz.
  * Create runtime/uploads correctly.
  * Fix init script stop, to wait for jsvc to actually finish running.  This
    fixes a race condition that can occur under load, where ofbiz is not
    listening on the status port, but jsvc is actually still running.  This
    would cause the pid file to exist, but then get removed by jsvc before the
    init script could remove it itself.
  * Remove use of openjdk, it has issues compiling some things(generics
    markup), and doesn't handle all https urls.
  * Don't install build/lib/*-test.jar into the packages.
  * Set the source format to 3.0 (quilt), to make it easier to have local
    changes that might have binary files.
  * Set the umask correctly(defaults to 002, can be overridden in defaults).
  * Fix description of ofbiz package, so that it says 'meta-package', instead
    of 'pseudo-package'.  The former is used by lintian to skip the no-files
    warning.
  * Skip rc.ofbiz.for.debian file and .pc dirs, so they don't get installed
    anymore.
  * Protect sourcing of /etc/default/rcS, it is a conffile that might be
    removed.
  * Remove Apache-2.0 license text from copyright, instead referring to the
    shared one in /usr/share/common-licenses.
  * Skip framework/appserver/templates as well during install.
  * Bump Standards-Version to 3.9.1

 -- Adam Heath <doogie@brainfood.com>  UNRELEASED

ofbiz (684378) unstable; urgency=low

  * Start adding debian stuff to upstream.

 -- Adam Heath <doogie@brainfood.com>  Sat, 09 Aug 2008 19:20:35 -0500

ofbiz (595296-2) unstable; urgency=low

  * Fix moving of db_stop.

 -- Adam Heath <doogie@brainfood.com>  Tue, 25 Mar 2008 22:59:35 -0500

ofbiz (595296-1) unstable; urgency=low

  * First release.
  * Change when db_stop is called, so that ucf can function.

 -- Adam Heath <doogie@brainfood.com>  Tue, 25 Mar 2008 22:43:12 -0500

ofbiz (595296-0) unstable; urgency=low

  * New upstream.
  * Fix message to say 'start' when a timeout occurs starting.
  * Actually install the seed data now, by using a new install target
    in the init script.

 -- Adam Heath <doogie@brainfood.com>  Thu, 15 Nov 2007 23:09:57 -0600

ofbiz (583221-0) unstable; urgency=low

  * New upstream.

 -- Adam Heath <doogie@brainfood.com>  Mon, 01 Oct 2007 01:01:41 -0500

ofbiz (551703-3) unstable; urgency=low

  * Add PartyProduct.patch.

 -- Adam Heath <doogie@brainfood.com>  Thu, 02 Aug 2007 18:41:21 -0500

ofbiz (551703-2) unstable; urgency=low

  * Changed default log4j logging from all to info.

 -- Adam Heath <doogie@brainfood.com>  Thu, 12 Jul 2007 12:24:06 -0500

ofbiz (551703-1) unstable; urgency=low

  * Patched GenericDelegator to allow fetching/creating a value by
    passing a single value, instead of a map.
  * Move /var/tmp/ofbiz to /var/lib/ofbiz

 -- Adam Heath <doogie@brainfood.com>  Thu, 12 Jul 2007 10:54:58 -0500

ofbiz (551703-0) unstable; urgency=low

  * New upstream.
  * All services*.xml files are conffiles now.

 -- Adam Heath <doogie@brainfood.com>  Fri, 29 Jun 2007 13:20:01 -0500

ofbiz (512946-1) unstable; urgency=low

  * Initial version.

 -- Adam Heath <doogie@brainfood.com>  Wed, 11 Apr 2007 22:08:12 -0500

=== debian/control ===
#Licensed to the Apache Software Foundation (ASF) under one
#or more contributor license agreements.  See the NOTICE file
#distributed with this work for additional information
#regarding copyright ownership.  The ASF licenses this file
#to you under the Apache License, Version 2.0 (the
#"License"); you may not use this file except in compliance
#with the License.  You may obtain a copy of the License at
#
#http://www.apache.org/licenses/LICENSE-2.0
#
#Unless required by applicable law or agreed to in writing,
#software distributed under the License is distributed on an
#"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#KIND, either express or implied.  See the License for the
#specific language governing permissions and limitations
#under the License.
Source: ofbiz
Section: misc
Priority: extra
Maintainer: Adam Heath <doogie@brainfood.com>
Origin: brainfood
Bugs: mozilla://bugs.brainfood.com
Standards-Version: 3.9.1
Build-Depends: sun-java6-jdk, debhelper (>= 5), po-debconf

Package: ofbiz-framework
Architecture: all
Depends: dbconfig-common (>= 1.8.38), xalan, ${misc:Depends}, ucf, sun-java6-jdk, libpg-java, libmysql-java, jsvc, adduser
Recommends: postgresql-8.1 | postgresql-7.5 | mysql-server
Description: An Open Source E-Commerce System
 The Apache Open For Business Project is an open source enterprise
 automation software providing: ERP, CRM, E-Business / E-Commerce,
 SCM, MRP, CMMS/EAM, and more.
 .
 This package contains the Apache OFBiz framework.

Package: ofbiz-applications
Architecture: all
Depends: ofbiz-framework (= ${binary:Version}), ${misc:Depends}
Description: An Open Source E-Commerce System
 The Apache Open For Business Project is an open source enterprise
 automation software providing: ERP, CRM, E-Business / E-Commerce,
 SCM, MRP, CMMS/EAM, and more.
 .
 This package contains the Apache OFBiz applications.

Package: ofbiz
Architecture: all
Depends: ofbiz-framework (= ${binary:Version}), ofbiz-applications (= ${binary:Version}), ${misc:Depends}
Description: An Open Source E-Commerce System
 The Apache Open For Business Project is an open source enterprise
 automation software providing: ERP, CRM, E-Business / E-Commerce,
 SCM, MRP, CMMS/EAM, and more.
 .
 This is a meta-package, used to install all of the standard Apache
 OFBiz components.

Package: ofbiz-specialpurpose
Architecture: all
Depends: ofbiz-framework (= ${binary:Version}), ofbiz-applications (= ${binary:Version}), ${misc:Depends}
Description: OFBiz - SpecialPurpose Applications
 The Apache Open For Business Project is an open source enterprise
 automation software providing: ERP, CRM, E-Business / E-Commerce,
 SCM, MRP, CMMS/EAM, and more.
 .
 This package contains additional specialpurpose applications:
 assetmaint, bi, cmssite, googlebase, googleCheckout, hhfacility,
 oagis, pos, projectmgr

=== debian/rules ===
#!/usr/bin/make -f
#Licensed to the Apache Software Foundation (ASF) under one
#or more contributor license agreements.  See the NOTICE file
#distributed with this work for additional information
#regarding copyright ownership.  The ASF licenses this file
#to you under the Apache License, Version 2.0 (the
#"License"); you may not use this file except in compliance
#with the License.  You may obtain a copy of the License at
#
#http://www.apache.org/licenses/LICENSE-2.0
#
#Unless required by applicable law or agreed to in writing,
#software distributed under the License is distributed on an
#"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#KIND, either express or implied.  See the License for the
#specific language governing permissions and limitations
#under the License.

DH_VERBOSE	:=
SHELL		:= /bin/bash -O extglob

export DH_VERBOSE

JAVA_HOME	:= /usr/lib/jvm/java-6-sun
JAVAC		:= $(JAVA_HOME)/bin/javac
JAVA		:= $(JAVA_HOME)/bin/java

export JAVA_HOME
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | awk 'BEGIN{FS="[ -]";}/^Version:/{print $$2}')

merge:
	# This does *not* support checkout paths with spaces in them
	# caveat empto
	# TODO: svn
	set -ex;set -- `(svk info . 2>/dev/null || true) | awk -F '[ ,]+' '/^(Depot Path|Mirrored From): /{print $$3}'`;\
	if [ "$$1" ]; then \
		if [ "$$2" ]; then svk sync "$$1"; fi; \
		svk up; \
		set -- `svk info . 2>/dev/null | awk -F '[ ,]+' '/^Mirrored From: /{print $$3, $$5}'`;\
		if [ "$$1" ] && [ "$$2" ] && [ "$(UPSTREAM_VERSION)" -ne "$$2" ]; then \
			dch -v "$$2-1" -m "New upstream version."; \
		fi \
	fi

make-orig:
	set -ex; \
	process_orig_dir() { \
		wait; \
		cp -a $$1/changelog changelog; \
		mv $$1/changelog "$$1/ofbiz-$$2/changelog"; \
		tar -C $$1 -c "ofbiz-$$2" | gzip -9 > "$$1/ofbiz_$$2.orig.tar.gz"; \
		mv "$$1/ofbiz_$$2.orig.tar.gz" ..; \
		rm -rf $$1; \
	}; \
	if [ -d .git ]; then \
		rm -rf debian/orig-work; mkdir -p debian/orig-work/ofbiz-$(UPSTREAM_VERSION); \
		treeish=`git svn find-rev r$(UPSTREAM_VERSION)`;\
		git svn log -v -r "$(UPSTREAM_VERSION):0" > debian/orig-work/changelog & \
		(cd debian/orig-work; git clone -n ../.. ofbiz-$(UPSTREAM_VERSION); cd ofbiz-$(UPSTREAM_VERSION); git checkout $$treeish; rm -rf .git); \
		process_orig_dir debian/orig-work "$(UPSTREAM_VERSION)"; \
		exit; \
	fi; \
	set -- `(svk info . 2>/dev/null || true) | awk -F '[ ,]+' '/^(Depot Path|Mirrored From): /{print $$3, $$5}'`;\
	if [ "$$1" ]; then \
		rm -rf ../orig; mkdir -p ../orig; \
		svk log -v > ../orig/changelog & \
		svk co --export "$$1" "../orig/ofbiz-$$3" & \
		process_orig_dir ../orig $$3; \
	fi \

clean-debian:
	dh_clean
	rm -f debian/EncryptPassword.class
	rm -rf runtime/catalina/work debian/stamps debian/copyright

clean: clean-debian
	$(SHELL) ant clean-all
	debconf-updatepo
	rm -rf debian/orig-work

build: debian/stamps/build-ofbiz debian/EncryptPassword.class
build-ofbiz: debian/stamps/build-ofbiz
binary-indep: debian/stamps/build-ofbiz
debian/stamps/build-ofbiz:
	$(SHELL) ant
	@mkdir -p $(@D) && touch $@

binary-indep: debian/EncryptPassword.class
debian/EncryptPassword.class: %.class: %.java
debian/EncryptPassword.class: debian/stamps/build-ofbiz
	$(JAVAC) -classpath framework/base/build/lib/ofbiz-base.jar:framework/common/build/lib/ofbiz-common.jar -d $(@D) $*.java

debian/copyright: debian/copyright.in LICENSE
	cat debian/copyright.in > $@.new
	sh debian/strip-common-licenses.sh >> $@.new
	mv $@.new $@

binary-indep: DH_OPTIONS=-i
binary-indep: debian/copyright
	dh_testdir
	dh_testroot
	dh_clean -k
	mkdir -p runtime/catalina/work
	perl debian/move-files.pl
	dh_installdirs -v
	cp -a debian/*.xslt debian/*.class debian/ofbiz-framework/usr/share/ofbiz/support
	dh_link
#	tar -c . --exclude debian --exclude src --exclude build.xml --exclude build/classes --exclude framework/example | tar -C debian/ofbiz-svn-$(UPSTREAM_VERSION)/var/lib/ofbiz/$(UPSTREAM_VERSION) -x
#	dh_strip
#	dh_shlibdeps
	dh_installinit -N ofbiz-framework
	dh_installinit -p ofbiz-framework --name ofbiz -r --no-start
	dh_installchangelogs
	dh_installlogrotate
	dh_installdebconf
	dh_installdocs
	dh_installdeb
	dh_fixperms
	dh_compress
	dh_md5sums
	dh_gencontrol
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.EXPORT_ALL_VARIABLES:
